Cannot create /usr/lib/python3/dist-packages/PyQt5/QtCore.so for output

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot create /usr/lib/python3/dist-packages/PyQt5/QtCore.so for output

Nobody-4


Hi, all:


After successfully downloaded and built PyQt5, I'm trying to install PyQt5_gpl with the command make install, but meet the following ERROR messages:


/opt/Qt/Current/gcc_64/bin/qmake -install qinstall -exe ....../PyQt5_gpl-5.12.1/PyQt5.api /opt/Qt/Current/gcc_64/qsci/api/python/PyQt5.api
Error copying ....../PyQt5_gpl-5.12.1/PyQt5.api to /opt/Qt/Current/gcc_64/qsci/api/python/PyQt5.api: Cannot create /opt/Qt/Current/gcc_64/qsci/api/python/PyQt5.api for output
Makefile:4266: recipe for target 'install_qscintilla_api' failed
make: [install_qscintilla_api] Error 3 (ignored)
/usr/bin/python ....../PyQt5_gpl-5.12.1/mk_distinfo.py "" /usr/lib/python3/dist-packages/PyQt5-5.12.1.dist-info installed.txt
Traceback (most recent call last):
  File "....../PyQt5_gpl-5.12.1/mk_distinfo.py", line 108, in <module>
    fn_f = open(fn, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/usr/lib/python3/dist-packages/PyQt5/QtCore.so'
Makefile:4275: recipe for target 'install_distinfo' failed
make: *** [install_distinfo] Error 1

****  Installation failed. Aborting package creation.

Restoring overwritten files from backup... FAILED!

Cleaning up...OK

Bye.


I actually have Qt installed under /opt/Qt:


➜  python ls
➜  python pwd
/opt/Qt/Current/gcc_64/qsci/api/python


I wonder if it has something to do with PYTHONPATH ?

Most of my Python packages are installed via pip under ~/.local/lib/python3.6/site-packages

instead of /usr/lib/python3/dist-packages/


Cheers

Pei



-- 
Mr. Nobody
Welcome to Longer Vision Technology https://www.longervision.ca

_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: Cannot create /usr/lib/python3/dist-packages/PyQt5/QtCore.so for output

Barry Scott
Are you running install as root, via sudo for example?

Barry

On 26 Mar 2019, at 05:59, Nobody <[hidden email]> wrote:


Hi, all:


After successfully downloaded and built PyQt5, I'm trying to install PyQt5_gpl with the command make install, but meet the following ERROR messages:


/opt/Qt/Current/gcc_64/bin/qmake -install qinstall -exe ....../PyQt5_gpl-5.12.1/PyQt5.api /opt/Qt/Current/gcc_64/qsci/api/python/PyQt5.api
Error copying ....../PyQt5_gpl-5.12.1/PyQt5.api to /opt/Qt/Current/gcc_64/qsci/api/python/PyQt5.api: Cannot create /opt/Qt/Current/gcc_64/qsci/api/python/PyQt5.api for output
Makefile:4266: recipe for target 'install_qscintilla_api' failed
make: [install_qscintilla_api] Error 3 (ignored)
/usr/bin/python ....../PyQt5_gpl-5.12.1/mk_distinfo.py "" /usr/lib/python3/dist-packages/PyQt5-5.12.1.dist-info installed.txt
Traceback (most recent call last):
  File "....../PyQt5_gpl-5.12.1/mk_distinfo.py", line 108, in <module>
    fn_f = open(fn, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/usr/lib/python3/dist-packages/PyQt5/QtCore.so'
Makefile:4275: recipe for target 'install_distinfo' failed
make: *** [install_distinfo] Error 1

****  Installation failed. Aborting package creation.

Restoring overwritten files from backup... FAILED!

Cleaning up...OK

Bye.


I actually have Qt installed under /opt/Qt:


➜  python ls
➜  python pwd
/opt/Qt/Current/gcc_64/qsci/api/python


I wonder if it has something to do with PYTHONPATH ?

Most of my Python packages are installed via pip under ~/.local/lib/python3.6/site-packages

instead of /usr/lib/python3/dist-packages/


Cheers

Pei



-- 
Mr. Nobody
Welcome to Longer Vision Technology https://www.longervision.ca
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt

_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt